View Issue Details

IDProjectCategoryView StatusLast Update
0001760Slicer4Module SceneViewspublic2017-06-10 08:51
ReporterfinetjulAssigned Tonicole 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSlicer 4.0.1 
Target VersionSlicer 4.4.0Fixed in VersionSlicer 4.4.0 
Summary0001760: Remember Thumbnail preference when taking SceneViews
Description

When taking multiple scene views, it would be nice if the dialog could remember the last "thumbnail" chosen.
For example, because I always want the 3D view for thumbnail, I currently have to select 3D view everytime I create a scene view. The dialog should remember the last choice.

Maybe the "name" of the scene view could also be the same as the last scene view name (or the same + incremented number) instead of the default "SceneView"

TagsNo tags attached.

Relationships

child of 0001662 acknowledgednicole Expand scene snapshot support for more layouts 

Activities

nicole

nicole

2012-08-20 10:12

administrator   ~0005606

To be done in re-write of screen capture widget to work with all layouts.

nicole

nicole

2014-03-07 07:59

administrator   ~0011343

Save and restore the last thumbnail type, and base scene view names on the last one, checked in as svn 22929:
http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=22929

jcfr

jcfr

2014-09-17 23:01

administrator   ~0012572

Closing resolved issues that have not been updated in more than 3 months.

Related Changesets

Import 2017-06-07 23:51:09: master 88bc8e03

2014-03-07 12:57:38

naucoin

Details Diff
ENH: save the last sceneview thumbnail type

Keep track of the last scene view and screen snapshot thumbnail type
and use it for the next one that's being captured.
For the scene views, base the next scene view name on the last
one instead of always going back to the default SceneView.

Issue 0001760


git-svn-id: http://svn.slicer.org/Slicer4/trunk@22929 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Libs/MRML/Widgets/qMRMLScreenShotDialog.cxx Diff File
mod - Libs/MRML/Widgets/qMRMLScreenShotDialog.h Diff File
mod - Modules/Loadable/SceneViews/GUI/qSlicerSceneViewsModuleDialog.cxx Diff File

Issue History

Date Modified Username Field Change
2012-02-27 17:52 finetjul New Issue
2012-02-27 17:52 finetjul Status new => assigned
2012-02-27 17:52 finetjul Assigned To => nicole
2012-04-06 07:03 finetjul Category Usability => Scene Views
2012-08-20 10:12 nicole Note Added: 0005606
2012-08-20 10:12 nicole Target Version => Slicer 4.3.0
2012-08-20 10:13 nicole Relationship added child of 0001162
2012-08-20 10:13 nicole Relationship deleted child of 0001162
2012-08-20 10:13 nicole Relationship added child of 0001662
2013-07-09 07:28 nicole Target Version Slicer 4.3.0 => Slicer 4.4.0
2014-03-07 07:59 nicole Note Added: 0011343
2014-03-07 07:59 nicole Status assigned => resolved
2014-03-07 07:59 nicole Fixed in Version => Slicer 4.4.0
2014-03-07 07:59 nicole Resolution open => fixed
2014-09-17 22:59 jcfr Status resolved => closed
2014-09-17 23:01 jcfr Note Added: 0012572
2017-06-10 08:51 Changeset attached => Slicer master 88bc8e03